Package com.independentsoft.office.drawing

# Class LockedCanvas

java.lang.Object
com.independentsoft.office.drawing.GraphicObject
com.independentsoft.office.drawing.LockedCanvas

All Implemented Interfaces:
  `IContentElement`

public class LockedCanvas extends GraphicObject
The Class LockedCanvas.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LockedCanvas()`
  Instantiates a new locked canvas.
  `LockedCanvas​(InternalXMLStreamReader reader)`
  Instantiates a new locked canvas.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LockedCanvas`
  `clone()`
  `List<IContentElement>`
  `getContentElements()`
  `String`
  `getDescription()`
  Gets the description.
  `List<IGroupElement>`
  `getElements()`
  Gets the elements.
  `String`
  `getID()`
  Gets the id.
  `GroupShapeLocking`
  `getLocking()`
  Gets the locking.
  `String`
  `getName()`
  Gets the name.
  `GroupShapeProperties`
  `getShapeProperties()`
  Gets the shape properties.
  `boolean`
  `isHidden()`
  Checks if is hidden.
  `void`
  `setDescription​(String description)`
  Sets the description.
  `void`
  `setHidden​(boolean isHidden)`
  Sets the hidden.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setLocking​(GroupShapeLocking locking)`
  Sets the locking.
  `void`
  `setName​(String name)`
  Sets the name.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LockedCanvas

    public LockedCanvas()
    Instantiates a new locked canvas.

  - ### LockedCanvas

    public LockedCanvas​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new locked canvas.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `GraphicObject`

  - ### clone

    public LockedCanvas clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in class `GraphicObject`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getShapeProperties

    public GroupShapeProperties getShapeProperties()
    Gets the shape properties.
    Returns:
      the shape properties

  - ### getElements

    public List<IGroupElement> getElements()
    Gets the elements.
    Returns:
      the elements

  - ### getLocking

    public GroupShapeLocking getLocking()
    Gets the locking.
    Returns:
      the locking

  - ### setLocking

    public void setLocking​(GroupShapeLocking locking)
    Sets the locking.
    Parameters:
      `locking` - the new locking

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getDescription

    public String getDescription()
    Gets the description.
    Returns:
      the description

  - ### setDescription

    public void setDescription​(String description)
    Sets the description.
    Parameters:
      `description` - the new description

  - ### isHidden

    public boolean isHidden()
    Checks if is hidden.
    Returns:
      true, if is hidden

  - ### setHidden

    public void setHidden​(boolean isHidden)
    Sets the hidden.
    Parameters:
      `isHidden` - the new hidden